# Brocraft Cobblemon Additions

## Overview

**Brocraft Cobblemon Additions** is a Minecraft Fabric mod that enhances your gameplay experience by replacing traditional village structures with unique, custom-built structures inspired by the Cobblemon universe. This mod is designed to integrate seamlessly with existing Cobblemon features, providing a fresh take on village exploration.

## Features

- **Custom Structures:** Replace vanilla village buildings with a variety of custom-designed structures, each contributing to a vibrant game world.
- **Unique Town Centers:** Enjoy specially crafted town centers that serve as focal points for villages, including the **Battlepad** and **The Lodge**.
- **Diverse Environment:** Explore different themed buildings, including cozy cottages, bustling PokéMarts, and serene retreats.
- **Varied Pathways:** Navigate the world with unique pathways that enhance the aesthetic appeal and functionality of your villages.
- **Dynamic Villager Interaction:** Integrate Cobblemon mechanics with villagers, offering unique interactions and services.

## Installation

For a new world - on world creation:
1. Ensure you have Minecraft with Fabric installed.
2. Download the latest release of **Brocraft Cobblemon Additions** from the releases section.
3. start your loader with your desired mods 
4. Start world creation
    - select more
    - select datapacks
    - open folder
    - Place the downloaded `.zip` file 
    - click the arrow to the right to add it to the enabled list.
4. Launch Minecraft and enjoy!

Installing on an existing instance:
1. open your instance folder
2. navigate to .{instance}/saves/{YourWorld}/datapacks/
3. paste the .zip file into the `datapack` folder of your Minecraft world. 
4. restart your instance of minecraft
5. enjoy the new villages in new generated chunks of your world
    - for best integration, use MCA chunk selector to manually clear chunks from your world so they can generate back into the world

    
## Dependencies

- **Cobblemon 1.6.1**
- **Radical Cobblemon Trainers version 0.11.1-alpha**(optional)
- **watstones**

- **it is also recommended that you use the cobblefolk datapack that comes with the cobbletowns mod for the best immersion with EMF and ETF**

## Structure Pools

This mod features multiple structure pools, including:

- **Centers:** Custom town center structures.
- **General Structures:** A variety of themed homes and buildings.
- **Paths:** Unique pathways for enhanced navigation.
- **Store Workers:** Villager NPCs for shops and services.
- **General Decor:** Decorative items to enhance the village aesthetics.
- **Lamp Posts:** Functional light sources for your villages.
- **Berries:** Custom berry structures to enrich the environment.

## License

This mod is licensed under the [MIT License](LICENSE).

## Acknowledgements

- Special thanks to the creators of Cobblemon and the Minecraft community for their inspiration and support.